#include "ImageFileTest.hpp"

#include "../UTest/UTest.hpp"

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

using VideoEngine::cImageFile;

using VideoEngine::cSprite;

void ImageFileTest()
{
	/// cImageFile
	printf("\nTesting cImageFile -----\n\n");

	UTest u("cImageFile");

	cImageFile* image = new cImageFile("ImageTest.bmp");

	//u.test()

	//image->SaveImage("ImageTestSaved.bmp");

	//cSprite* sprite = new cSprite(&image);

	//sprite->Draw();


	u.report();
}